---
title: limitingConeAngle
slug: Web/SVG/Attribute/limitingConeAngle
tags:
  - Filters
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <strong><code>limitingConeAngle</code></strong> attribute represents the angle in degrees between the spot light axis (i.e. the axis between the light source and the point to which it is pointing at) and the spot light cone. So it defines a limiting cone which restricts the region where the light is projected. No light is projected outside the cone.</p>

<p>Only one element is using this attribute: {{SVGElement("feSpotLight")}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html, body, svg {
  height: 100%;
}</pre>
</div>

<pre class="brush: html; highlight[4,9]">&lt;svg viewBox="0 0 480 200" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;filter id="spotLight1" x="0" y="0" width="100%" height="100%"&gt;
    &lt;feDiffuseLighting diffuseConstant="2"&gt;
      &lt;feSpotLight x="10" y="10" z="50" pointsAtX="100" pointsAtY="100" limitingConeAngle="10" /&gt;
    &lt;/feDiffuseLighting&gt;
  &lt;/filter&gt;
  &lt;filter id="spotLight2" x="0" y="0" width="100%" height="100%"&gt;
    &lt;feDiffuseLighting diffuseConstant="2"&gt;
      &lt;feSpotLight x="10" y="10" z="50" pointsAtX="100" pointsAtY="100" limitingConeAngle="40" /&gt;
    &lt;/feDiffuseLighting&gt;
  &lt;/filter&gt;

  &lt;rect x="0" y="0" width="200" height="200" style="filter: url(#spotLight1);" /&gt;
  &lt;rect x="0" y="0" width="200" height="200" style="filter: url(#spotLight2); transform: translateX(220px);" /&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample("topExample", "480", "200")}}</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td>{{cssxref("number")}}</td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Filters 1.0", "#element-attrdef-fespotlight-limitingconeangle", "limitingConeAngle")}}</td>
   <td>{{Spec2("Filters 1.0")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "filters.html#feSpotLightLimitingConeAngleAttribute", "limitingConeAngle")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.feSpotLight.limitingConeAngle")}}</p>
